<template>
  <el-table-column :prop="prop" :label="label">
    <template slot-scope="{row}">
      <k-image :src="row[prop]" :style="imageStyle" fit="contain" referrer-policy="no-referrer" />
    </template>
  </el-table-column>
</template>
<script>
export default {
  data() {
    return {};
  },
  computed: {
    imageStyle() {
      return {
        width: `${this.width}px`,
        height: `${this.height}px`
      };
    }
  },
  props: {
    prop: {},
    label: {},
    width: {
      default: "40"
    },
    height: {
      default: "40"
    }
  },
  watch: {},
  methods: {},
  components: {},
  mounted() {}
};
</script>
